#include<bits/stdc++.h>
using namespace std;
int main()
{
	long long int n,k,mas[20001]={0},mask[20001]={0},r=0;
	cin>>n>>k;
	for(int i=1;i<=k;i++)
	{
		int t;
		cin>>t;
		mask[t]=1;
	}
	for(int i=1;i<=n;i++)
	{
		if(mask[i]==1) continue;
		for(int j=i;j<=n;j++)
		{
			if(mask[j]==1) continue;
			r++;
			mas[r]=i+j;
		}
	}
	sort(mas,mas+r);
	int q=1;
	for(int i=2;i<=r;i++)
	{
		if(mas[i-1]!=mas[i]) q++;
	}
//	for(int i=1;i<=r;i++)
//	{
//		cout<<mas[i]<<" ";
//	}
if(n==k) cout<<0;
else cout<<q;
	
	return 0;
}
